uk.gov.hmrc.domain

# Generator

###
Related Doc: package domain

#### class Generator extends Modulus23Check

Linear Supertypes
Modulus23Check, ModulusCheck, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Generator
2. Modulus23Check
3. ModulusCheck
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Generator(seed: Int)

2. #### new Generator(random: Random = new Random)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def atedUtrBatch(amountToGenerate: Int): List[AtedUtr]

6. #### def calculateCheckCharacter(utr: String): Char

   Attributes
     protected
   Definition Classes
     ModulusCheck

7. #### val checkString: String

   Attributes
     protected
   Definition Classes
     Modulus23Check → ModulusCheck

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### def isCheckCorrect(utr: String, checkPosition: Int): Boolean

    Attributes
      protected
    Definition Classes
      ModulusCheck

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val mod: Int

    Attributes
      protected
    Definition Classes
      Modulus23Check → ModulusCheck

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def nextAtedUtr: AtedUtr

19. #### def nextNino: Nino

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### val weights: List[Int]

    Attributes
      protected
    Definition Classes
      Modulus23Check → ModulusCheck

### Inherited from Modulus23Check

### Inherited from ModulusCheck

### Inherited from AnyRef

### Inherited from Any

### Ungrouped